al_put_pixel(3)

NAME

al_put_pixel - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_put_pixel(int x, int y, ALLEGRO_COLOR color)

DESCRIPTION

Draw a single pixel on the target bitmap. This operation is slow on non-memory bitmaps. Consider locking the bitmap if you are going to use this function multiple times on the same bitmap. This function is not affected by the transformations or the color blenders.

SEE ALSO

ALLEGRO_COLOR(3), al_get_pixel(3), al_put_blended_pixel(3), al_lock_bitmap(3)